Retrieve changes for a project.
1 min
GET
https://api.optimizely.com/v2/changes
project_idinteger<int64>ID of the Project you want to list changes for.
idarrayA specific Change ID to filter by. Can be specified multiple times to include multiple specific changes.
start_timestring<date-time><p>Start of the time interval (inclusive) to list changes. The time is formatted in ISO 8601.</p>
end_timestring<date-time><p>End of the time interval (exclusive) to look for changes. The time is formatted in ISO 8601.</p>
userarrayEmail of the user who made the change. Can be specified multiple times to include changes from multiple users.
entity_typearray<p>The type of the entity. The entity_type must be one of the following : attribute, audience, campaign, environment, event, experiment, extension, feature, flag, group, list_attribute, metrics, page, project, report, rule, ruleset, section, tag, variation, variable, permission, team. Can be specified multiple times to include changes for multiple entity types.</p>
sourcestring<p>The source of the change (UI or API)</p>
entityarray<p>Colon (:) delimited string containing the entity_type and entity_id of the entity wanted. The entity_type must be one of the following : attribute, audience, campaign, environment, event, experiment, extension, feature, flag, group, list_attribute, metrics, page, project, report, rule, ruleset, section, tag, variation, variable, permission e.g. ruleset</p><div></div>, experiment<div></div>. Can be specified multiple times to filter changes to a specific set of entities.<p></p>
per_pageintegerOptional pagination argument that specifies the maximum number of objects to return per request
pageintegerOptional pagination argument that specifies the page to return. If you have 140 objects and you choose to return 100 objects per page you will be able to access the last 40 objects on page 2. The default value is 1.
acceptstringGenerated from available response content types
200Returns changes.
curl --request GET \
--url 'https://api.optimizely.com/v2/changes?project_id=integer%3Cint64%3E&per_page=25&page=1' \
--header 'accept: application/json'